/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that displays the current execution time. */
#include <stdio.h>
#include <time.h>
void elapsed_time(void);

int main() {
    int i;
    
    clock();    /// first call clock
    for(i = 0; i<100000;i++) {};
    elapsed_time();
}

void elapsed_time(void) {
    clock_t time;

    time = clock();
    printf("Elapsed time: %d micro seconds or %f seconds.\n",time,
          (double)time/CLOCKS_PER_SEC);  //  return the time between first call 
                                         // and this call .
}
